package de.fitko.fitconnect.dependency;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;
import java.util.Properties;

@Getter
@Setter
@ToString
public class ApplicationConfig {

    private String httpProxyHost;
    private Integer httpProxyPort;

    private String authTokenUrl;
    private List<String> apiUrls;

    private String clientId;
    private String clientSecret;


    public Properties getAsProperties() {
        var props = new Properties();
        props.put("httpProxyHost", getHttpProxyHost());
        props.put("httpProxyPort", getHttpProxyPort());
        props.put("authTokenUrl", getAuthTokenUrl());
        props.put("apiUrls", String.join(",",getApiUrls()));
        props.put("clientId", clientId);
        props.put("clientSecret", clientSecret);
        return props;
    }
}

